Jump to content

Twinprop

Members
  • Content count

    3
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Twinprop

  • Rank
    Newbie
  1. Twinprop

    Unable to install

    PS Thanks for the reply.
  2. Twinprop

    Unable to install

    No it’s not. It is now solved. I gave up on the TBM and run XP to fly a different plane (not from X-Aviation), once loaded I got the X-Aviation activation popup. I entered my details and thought I’ll give the install another try so exited XP and run the installer again this time without problems.
  3. Twinprop

    Unable to install

    Have purchased this today, downloaded the installer from X-Aviation v1.1.11. After launch this does a lot of downloading and then I get the following error: "Unable to download component TBM 900: Component file version does not match" Clicked retry but with the same result, the only option that works is abort. Any assistance greatly appreciated.
×